> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Region list
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /region
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/region:
get:
tags:
- Region
summary: Region list
operationId: RegionPublic_Index
responses:
'200':
description: Returns the list of region codes
content:
application/json:
schema:
type: array
items:
$ref: '#/components/schemas/RegionModel'
'500':
description: Internal Server Error
components:
schemas:
RegionModel:
type: object
additionalProperties: false
properties:
Id:
type: integer
description: The unique ID of the region
format: int64
Name:
type: string
description: The display name of the region
nullable: true
PricePerGigabyte:
type: number
description: The traffic pricing per gigabyte for the region
format: decimal
RegionCode:
type: string
description: The region short code
nullable: true
ContinentCode:
type: string
description: The continent code of the region
nullable: true
CountryCode:
type: string
description: The country code of the region
nullable: true
Latitude:
type: number
description: The latitude coordinate for this region
format: double
Longitude:
type: number
description: The longitude coordinate for this region
format: double
AllowLatencyRouting:
type: boolean
description: >-
Determines weather this region can be selected as a DNS latency
routing region
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.